Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Class BindingConfig

    java.lang.Object
      org.apache.xmlbeans.BindingConfig

public class BindingConfig
extends Object

The BindingConfig class is used during compilation to control the generation of java source files. The default BindingConfig does nothing, but sub-classes should provide more interesting behavior.

See Also:
  `{@link XmlBeans#compileXmlBeans(String, SchemaTypeSystem, XmlObject[], BindingConfig, SchemaTypeLoader, Filer, XmlOptions) XmlBeans.compileXmlBeans()}`

Constructor Summary
`BindingConfig()`

Method Summary
`InterfaceExtension[]` | `getInterfaceExtensions()` Returns all configured InterfaceExtensions or an empty array.
`InterfaceExtension[]` | `getInterfaceExtensions(String fullJavaName)` Returns all InterfaceExtensions defined for the fully qualified java type generated from schema compilation or an empty array.
`PrePostExtension` | `getPrePostExtension(String fullJavaName)` Returns the PrePostExtension defined for the fully qualified java type generated from schema compilation or null.
`PrePostExtension[]` | `getPrePostExtensions()` Returns all configued PrePostExtensions or an empty array.
`String` | `lookupJavanameForQName(QName qname)` Get the java name for a QName or null.
`String` | `lookupPackageForNamespace(String uri)` Get the package name for a namespace or null.
`String` | `lookupPrefixForNamespace(String uri)` Get the prefix applied to each java name for a namespace or null.
`String` | `lookupSuffixForNamespace(String uri)` Get the suffix applied to each java name for a namespace or null.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindingConfig

    public BindingConfig()

Method Detail

### lookupPackageForNamespace

    public String lookupPackageForNamespace(String uri)

  Get the package name for a namespace or null.

### lookupPrefixForNamespace

    public String lookupPrefixForNamespace(String uri)

  Get the prefix applied to each java name for a namespace or null.

### lookupSuffixForNamespace

    public String lookupSuffixForNamespace(String uri)

  Get the suffix applied to each java name for a namespace or null.

### lookupJavanameForQName

    public String lookupJavanameForQName(QName qname)

  Get the java name for a QName or null.

### getInterfaceExtensions

    public InterfaceExtension[] getInterfaceExtensions()

  Returns all configured InterfaceExtensions or an empty array.

### getInterfaceExtensions

    public InterfaceExtension[] getInterfaceExtensions(String fullJavaName)

  Returns all InterfaceExtensions defined for the fully qualified java type generated from schema compilation or an empty array.

### getPrePostExtensions

    public PrePostExtension[] getPrePostExtensions()

  Returns all configued PrePostExtensions or an empty array.

### getPrePostExtension

    public PrePostExtension getPrePostExtension(String fullJavaName)

  Returns the PrePostExtension defined for the fully qualified java type generated from schema compilation or null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD